<template>
  <classifyTrees :crudData="crudTreeData" :crudoption="crudTreeOption" :data="Treedata"
                 :option="Treeoption"
  ></classifyTrees>
</template>

<script>
export default {
  name: "classifyTree.vue",
  //使用provide传递给子组件
  //父传子有问题，暂时没解决，用provide代替父传子，子传父还是用$emit传递，注意！！！其他组件不能使用同样的类名否则会报错。
  provide() {
    return {
      Treeoption: {
        multiple: true,
        formslot: true,
        defaultExpandAll: true,
        formOption: {
          labelWidth: 100,
          column: [{
            label: '自定义项',
            prop: 'label'
          }],
        }
      },
      Treedata: [
        {
          value: 0,
          label: '一级部门',
          children: [
            {
              value: 1,
              label: '一级部门1',
            }, {
              value: 2,
              label: '一级部门2',
            }
          ]
        }, {
          value: 3,
          label: '二级部门',
          children: [
            {
              value: 4,
              label: '二级部门1',
            }, {
              value: 5,
              label: '二级部门2',
            }
          ]
        }
      ],
      crudTreeOption: {
        index: true,
        border: true,
        column: [
          {
            label: "测试1",
            prop: "cash"
          }
        ]
      },
      crudTreeData: this.crudTreeData,
    }

  },
  data() {
    return {
      aaa: 1,
      crudTreeData: [
        {
          value: 0,
          column: [
            {
              cash: "测试0"
            }
          ]
        },
        {
          value: 1,
          column: [
            {
              cash: "测试1"
            }
          ]
        }
      ],

    }
  },
  created() {
  },
  methods: {}
}
</script>

<style lang="scss">

</style>
